CREATE TABLE doo_process_definitions_tl (
    DOO_PROCESS_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DOO_PROCESS_VERSION      NUMBER(18, 0) ,
    PROCESS_DISPLAY_NAME     VARCHAR2(320) ,
    DESCRIPTION              VARCHAR2(4000),
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    DOO_PROCESS_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DOO_PROCESS_VERSION      NUMBER(18, 0) ,
    PROCESS_DISPLAY_NAME     VARCHAR2(320) ,
    DESCRIPTION              VARCHAR2(4000),
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_doo_process_definitions_tl PRIMARY KEY (DOO_PROCESS_ID, DOO_PROCESS_VERSION, LANGUAGE, DOO_PROCESS_ID, DOO_PROCESS_VERSION, LANGUAGE)
);
